Summary: The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name: nasm
Version: 0.98.34
Release: 5tr
License: LGPL
Group: Programming/Compilers
Source: ftp://ftp.us.kernel.org/pub/software/devel/nasm/source/nasm-%{version}.tar.gz
Patch0: nasm-0.98.34-fixdoc.patch
Patch1: nasm-0.98.34-noinfo.patch
URL: http://www.cryogen.com/Nasm/
BuildRoot: /var/tmp/%{name}-root

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%package rdoff
Summary: Tools for the RDOFF binary format, sometimes used with NASM.
Group: Programming/Compilers

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .noinfo

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir}
make everything

%install
mkdir -p "$RPM_BUILD_ROOT"/usr/{bin,share/man/man1}

make INSTALLROOT="$RPM_BUILD_ROOT" install_everything

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/*.gz || :

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING ChangeLog README TODO 
/usr/bin/nasm
/usr/bin/ndisasm
/usr/share/man/man1/*

%files rdoff
%defattr(-,root,root)
/usr/bin/ldrdf
/usr/bin/rdf2bin
/usr/bin/rdf2com
/usr/bin/rdfdump
/usr/bin/rdflib
/usr/bin/rdx
%doc rdoff/README	

%changelog
* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 0.98.34-5tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.98.34-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.98.34-3em
- Rebuilt against glibc 2.3.2.

* Fri Aug 30 2002 Christian H. Toldnes <christht at trustix dot com> 0.98.34-2ct
- Patched away the info generation (Patch1)
- This means no nasm_info.1

* Thu Aug 15 2002 Christian H. Toldnes <christht at trustix dot com> 0.98.34-1ct
- Removed info pages.
- Added man page generated from info page. nasm_info.1
- Removed separated doc package, it was soooo small...
- .spec cleanups
- Correct license
- New upstream version: 0.98.34

* Mon Mar 26 2001 Alexander Reelsen <ar at trustix dot com>
- Fixed install-info problem
